//全局请求路径

var authRootPath = "http://api-app.91zhujie.com/auth";
//var authRootPath = "http://192.168.0.138:8081/auth";
//智库临时路径
//var authRootPath = "http://192.168.0.115:8081/auth";

//全局请求路径 
var serviceRootPath = "http://api-app.91zhujie.com/service";
//var serviceRootPath = "http://192.168.0.138:8081/service";
//智库临时路径
//var serviceRootPath = "http://192.168.0.115:8081/service";

//本地存储Utils
var localStorageUtils = {
    setParam: function (name, value) {  
        if (value) {  
            localStorage.setItem(name, JSON.stringify(value));  
        }
    },
    getParam: function (name) {  
        var obj = localStorage.getItem(name);  
        return mui.parseJSON(obj);  
    },  
    removeParam: function (key) {  
        return localStorage.removeItem(key);  
    }  
}

var ua = navigator.userAgent.toLowerCase();
var version = 1.4;

//创建初始proid
var userAgent = {};

//得到当前用户的电话号码
var currentUserHandphone = localStorageUtils.getParam("currentUserHandphone");

//项目列表
var projectInfoList = localStorageUtils.getParam("projectInfoList");
//当前用户
var currentUser = localStorageUtils.getParam("currentUser");

//得到用户的sessionid
var sessionid = localStorageUtils.getParam("sessionid");

var cityWeather = null;

if(currentUser){
	userAgent.proid = currentUser.proid;
	
	cityWeather = currentUser.city;
	/*if(currentUser.city){
		cityWeather = currentUser.city;
	
	}else{
		cityWeather = "中国";
	}*/
	
}


//ajax请求失败
function ajaxError(){
	mui.plusReady(function(){
		plus.nativeUI.closeWaiting();
 	});
	mui.toast("网络异常，请稍后再试");
}


//ajax返回result等于false
function ajaxResultFalse(data,status){
	
	if(data.code==4001){
		mui.toast("手机号码不符合规范"); 
	}else if(data.code==4002){
		mui.toast("手机号码不存在"); 
	}else if(data.code==4003){
		mui.toast("账号不在本项目的账号体系中"); 
	}else if(data.code==4004){
		mui.toast("没有登录"); 
		//项目列表
		localStorageUtils.removeParam("projectInfoList");
		//当前用户
		localStorageUtils.removeParam("currentUser");
		
		if(status==1){
			setTimeout(function(){
			    mui.openWindow({
					url:'login.html',
					id:'login.html',
				});
			},1000);
			return false;
		}
		
		if(status==2){
			setTimeout(function(){
			    mui.openWindow({
					url:'../../login.html',
					id:'../../login.html',
				});
			},1000);
			return false;
		}
		
		setTimeout(function(){
		    mui.openWindow({
				url:'../login.html',
				id:'../login.html',
			});
		},1000);				            			
	}else if(data.code==4005){
		mui.toast("该方法不能调用"); 
	}else{
		mui.toast(data.msg);
	}
}
	
	//公用ajax方法
	function myAjax(formData,callBack){
		
		mui.ajax({
		   	url: serviceRootPath,
		    data: formData,
		    type: 'post', //HTTP请求类型
		    timeout: 10000, //超时时间设置为10秒
		    dataType: 'json', //服务器返回json格式数据
		    headers: {
		    	'Content-Type': 'application/json',
		    	'Cookie':"SESSION="+sessionid
		    },
		    xhrFields: {
		    	withCredentials: true
		    },
		    crossDomain: true,
		    success: function(data) {
		    	callBack(data);
		    },
		    error: function(xhr, type, errorThrown) {
		    	ajaxError();
		    }
		});
	}


	//得到数组中最大值
	function max(arr){
        var num = arr[0];
        for(var i=0;i<arr.length;i++){
            if(num < arr[i]){
                num = arr[i]
            }
        }
        return num;
    }
	
	
	
	//得到数组vulue排序
	function compare(property){
		 return function(a,b){
			var value1 = a[property];
			var value2 = b[property];
			 return value2 - value1;
		 }
	}
	

	//本地自动义图片
	
	//安全
	var securityImagesMap = {
		"施工机械" :"../title/shigongjixie.png",
		"施工用电" :"../title/shigongyongdian.png",
		"材料堆放" :"../title/cailiaoduifang.png",
		"作业安全防护" :"../title/zuoyeanquanfanghu.png",
		"安全标示缺失" :"../title/anquanbiaoshiqueshi.png",
		"物料提升机" :"../title/wuliaotishengji.png",
		"脚手架问题" :"../title/jiaoshoujiawenti.png",
		"作业不规范" :"../title/zuoyebuguifan.png",
		"基坑支护" :"../title/jikengzhihu.png",
		"现场防火设施" :"../title/xianchangfanhuosheshi.png"
	}
	
	//质量
	var qualityImagesMap = {
		"偷工减料" :"../../title/toutongjianliao.png",
		"材料" :"../../title/cailiao.png",
		"模板" :"../../title/muban.png",
		"钢筋" :"../../title/gangjing.png",
		"混凝土" :"../../title/hunningtu.png",
		"砌体" :"../../title/qieti.png",
		"防水" :"../../title/fangshui.png",
		"抹灰" :"../../title/mohui.png",
		"外墙装饰" :"../../title/wanqiangzhuangshi.png",
		"水电" :"../../title/shuidian.png"
	}
	
	
	//天气图片
	var weatherImagesMap = {
		"晴" :"weather/qing.png",
		"多云" :"weather/duoyun.png",
		"阴" :"weather/yin.png",
		"阵雨" :"weather/zhenyu.png",
		"雷阵雨" :"weather/leizhenyu.png",
		"雷阵雨并伴有冰雹" :"weather/leizhenyubingbanyoubingbao.png",
		"雨夹雪" :"weather/yujiaxue.png",
		"小雨" :"weather/xiaoyu.png",
		"中雨" :"weather/zhongyu.png",
		"大雨" :"weather/dayu.png",
		"暴雨" :"weather/baoyu.png",
		"大暴雨" :"weather/dabaoyu.png",
		"特大暴雨" :"weather/tedabaoyu.png",
		"阵雪" :"weather/zhenxue.png",
		"小雪" :"weather/xiaoxue.png",
		"中雪" :"weather/zhongxue.png",
		"大雪" :"weather/daxue.png",
		"暴雪" :"weather/baoxue.png",
		"雾" :"weather/wu.png",
		"冻雨" :"weather/dongyu.png",
		"沙尘暴" :"weather/shachenbao.png",
		"小雨-中雨" :"weather/xiaoyu-dayu.png",
		"中雨-大雨" :"weather/zhongyu-dayu.png",
		"大雨-暴雨" :"weather/dayu-baoyu.png",
		"暴雨-大暴雨" :"weather/baoyu-dabaoyu.png",
		"大暴雨-特大暴雨" :"weather/dabaoyu-tedabaoyu.png",
		"小雪-中雪" :"weather/xiaoxue-zhongxue.png",
		"中雪-大雪" :"weather/zhongxue-daxue.png",
		"大雪-暴雪" :"weather/daxue-baoxue.png",
		"浮尘" :"weather/fuchen.png",
		"扬沙" :"weather/yangsha.png",
		"强沙尘暴" :"weather/qiangshachenbao.png",
		"小到中雨" :"weather/xiaodaozhongyu.png",
		"中到大雨" :"weather/zhongdaodayu.png",
		"大到暴雨" :"weather/dadaobaoyu.png",
		"小到中雪" :"weather/xiaodaozhongxue.png",
		"中到大雪" :"weather/zhongdaodaxue.png",
		"大到暴雪" :"weather/xiaodaobaoxue.png",
		"小阵雨" :"weather/xiaozhenyu.png",
		"阴天" :"weather/yintian.png",
		"霾" :"weather/mai.png",
		"雾霾" :"weather/wumai.png"
	}
	


 			//当前日期 
	   		function nowdate(){
	   			 var nowdate = new Date();
		        var y = nowdate.getFullYear();
		        var m = nowdate.getMonth()+1;
		        var d = nowdate.getDate();
		      	if(m<10){
		        	m = "0"+m;
		        }
		        if(d<10){
		        	d = "0"+d;
		        }
		        var formatnowdate = y+'-'+m+'-'+d;
		        return formatnowdate;
	   		}
	        
	        
			//当前日期时间
	        function nowdatetime(){
	        	var nowdate = new Date();
		        var y = nowdate.getFullYear();
		        var m = nowdate.getMonth()+1;
		        var d = nowdate.getDate();
		      	if(m<10){
		        	m = "0"+m;
		        }
		        if(d<10){
		        	d = "0"+d;
		        }
		        var formatnowdate = y+'-'+m+'-'+d;
		       	
				var hour = nowdate.getHours();
				var minute = nowdate.getMinutes();
				var second = nowdate.getSeconds();
				
				if(hour<10){
		        	hour = "0"+hour;
		        }
				if(minute<10){
		        	minute = "0"+minute;
		        }
		        if(second<10){
		        	second = "0"+second;
		        }
				
				var formatnowdatetime = y+'-'+m+'-'+d+' '+hour+':'+minute+':'+second;
	        	return formatnowdatetime;
	        }
	        

	       	//上个月日期
	       	function Lastmonthdate(){
	       		var nowdate = new Date();
	       		nowdate.setMonth(nowdate.getMonth()-1);
		        var y2 = nowdate.getFullYear();
		        var m2 = nowdate.getMonth()+1;
		        var d2 = nowdate.getDate();
		       	if(m2<10){
		        	m2 = "0"+m2;
		        }
		        if(d2<10){
		        	d2 = "0"+d2;
		        }
		        var formatwdate = y2+'-'+m2+'-'+d2;
		        return formatwdate;
	       	}
	       	
	       	
	       	
	    //获得当前时间
	    function getNowFormatDate() {
			
		    var date = new Date();
		    var seperator1 = "-";
		    var seperator2 = ":";
		    var month = date.getMonth() + 1;
		    var strDate = date.getDate();
		    if (month >= 1 && month <= 9) {
		        month = "0" + month;
		    }
		    if (strDate >= 0 && strDate <= 9) {
		        strDate = "0" + strDate;
		    }
		    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
		            + " " + date.getHours() + seperator2 + date.getMinutes()
		            + seperator2 + date.getSeconds();
		    return currentdate;
		    
		}

	       	



    function getDate(value) {
		var value = parseInt(value);
        var date = new Date(value);
        Y = date.getFullYear(),
        m = date.getMonth() + 1,
        d = date.getDate(),
        H = date.getHours(),
        i = date.getMinutes(),
        s = date.getSeconds();
        if (m < 10) {
            m = '0' + m;
        }
        if (d < 10) {
            d = '0' + d;
        }
        if (H < 10) {
            H = '0' + H;
        }
        if (i < 10) {
            i = '0' + i;
        }
        if (s < 10) {
            s = '0' + s;
        }
		//获取时间格式 2017-01-03 10:13:48
		//var t = Y+'-'+m+'-'+d+' '+H+':'+i+':'+s;
		//获取时间格式 2017-01-03 
		var t = Y + '-' + m + '-' + d;
        return t;
    }
    


 				//得到数组vulue排序
                function compare(property){
                    return function(a,b){
                        var value1 = a[property];
                        var value2 = b[property];
                        return value2 - value1;
                    }
                }