//vue指令

Vue.filter('date',
    function(value) {
		var value = parseInt(value);
        var date = new Date(value);
        Y = date.getFullYear(),
        m = date.getMonth() + 1,
        d = date.getDate(),
        H = date.getHours(),
        i = date.getMinutes(),
        s = date.getSeconds();
        if (m < 10) {
            m = '0' + m;
        }
        if (d < 10) {
            d = '0' + d;
        }
        if (H < 10) {
            H = '0' + H;
        }
        if (i < 10) {
            i = '0' + i;
        }
        if (s < 10) {
            s = '0' + s;
        }
		//获取时间格式 2017-01-03 10:13:48
		//var t = Y+'-'+m+'-'+d+' '+H+':'+i+':'+s;
		//获取时间格式 2017-01-03 
		var t = Y + '-' + m + '-' + d;
        return t;
    });
    

Vue.filter('datetime',
    function(value) {
        var date = new Date(value);
        Y = date.getFullYear(),
        m = date.getMonth() + 1,
        d = date.getDate(),
        H = date.getHours(),
        i = date.getMinutes(),
        s = date.getSeconds();
        if (m < 10) {
            m = '0' + m;
        }
        if (d < 10) {
            d = '0' + d;
        }
        if (H < 10) {
            H = '0' + H;
        }
        if (i < 10) {
            i = '0' + i;
        }
        if (s < 10) {
            s = '0' + s;
        }
		//获取时间格式 2017-01-03 10:13:48
		var t = Y+'-'+m+'-'+d+' '+H+':'+i+':'+s;
		//获取时间格式 2017-01-03 
//		var t = Y + '-' + m + '-' + d;
        return t;
    });
    
    
    
    
Vue.filter('getNum',
    function(text) {
    	if(text){
    		var value = text.replace(/[^0-9]/ig,""); 
			return value;
    	}
    	
    });
    


Vue.filter('getImg',
    function(value) {
    	
    	if(weatherImagesMap.hasOwnProperty(value)){
		    return weatherImagesMap[value];
		}else{
			return "weather/weizhi.png";
		}
    	
    });


Vue.filter('twoFont',
    function(value) {
    	
    	if(value){
    		if(value.length>2){
    			return value.substring(0,2);
    		}else{
    			 return value;
    		}
  		
		}
    	
    });
    
    
    Vue.filter('LastTwoFont',
    function(value) {
    	
    	if(value){
    		if(value.length>2){
    			return value.substring(value.length-2,value.length);
    		}else{
    			 return value;
    		}
  		
		}
    	
    });
    
    
    
    Vue.filter('convertSize',function(text) {
    	if(text){
    		var value = parseInt(text/1024/1024*100)/100; 
			return value;
    	}else{
    		return 0;
    	}
    });
